/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { ListComponent } from './list.component';
import { SearchBarComponent } from './searchbar.component';
import { TagListComponent } from './taglist.component';
import { PopupModule, PopupService } from '@progress/kendo-angular-popup';
import { ResizeSensorModule, EventsModule, TemplateContextDirective, ResizeBatchService } from '@progress/kendo-angular-common';
import { SharedDirectivesModule } from './shared-directives.module';
import { ListItemDirective } from './list-item.directive';
import { SelectableDirective } from './selection/selectable.directive';
import { CheckDirective } from '../dropdowntrees/checked-state/check.directive';
import { CheckAllDirective } from '../dropdowntrees/checked-state/check-all.directive';
import { IconsModule, IconsService } from '@progress/kendo-angular-icons';
import { ActionSheetModule } from '@progress/kendo-angular-navigation';
import { ButtonModule } from '@progress/kendo-angular-buttons';
import { TextBoxModule } from '@progress/kendo-angular-inputs';
import { ResponsiveRendererComponent } from './action-sheet.component';
import * as i0 from "@angular/core";
const INTERNAL_DIRECTIVES = [
    ListComponent,
    ListItemDirective,
    SelectableDirective,
    SearchBarComponent,
    TemplateContextDirective,
    TagListComponent,
    CheckDirective,
    CheckAllDirective,
    ResponsiveRendererComponent
];
/**
 * @hidden
 */
export class SharedModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SharedModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: SharedModule, imports: [ListComponent,
            ListItemDirective,
            SelectableDirective,
            SearchBarComponent,
            TemplateContextDirective,
            TagListComponent,
            CheckDirective,
            CheckAllDirective,
            ResponsiveRendererComponent, FormsModule, ReactiveFormsModule, PopupModule, ResizeSensorModule, SharedDirectivesModule, EventsModule, IconsModule, ActionSheetModule, ButtonModule, TextBoxModule], exports: [ListComponent,
            ListItemDirective,
            SelectableDirective,
            SearchBarComponent,
            TemplateContextDirective,
            TagListComponent,
            CheckDirective,
            CheckAllDirective,
            ResponsiveRendererComponent, FormsModule, ReactiveFormsModule, PopupModule, ResizeSensorModule, SharedDirectivesModule, EventsModule, IconsModule, ActionSheetModule, ButtonModule, TextBoxModule] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SharedModule, providers: [IconsService, PopupService, ResizeBatchService], imports: [ListComponent,
            TagListComponent,
            ResponsiveRendererComponent, FormsModule, ReactiveFormsModule, PopupModule, ResizeSensorModule, SharedDirectivesModule, EventsModule, IconsModule, ActionSheetModule, ButtonModule, TextBoxModule, FormsModule, ReactiveFormsModule, PopupModule, ResizeSensorModule, SharedDirectivesModule, EventsModule, IconsModule, ActionSheetModule, ButtonModule, TextBoxModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SharedModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [INTERNAL_DIRECTIVES, FormsModule, ReactiveFormsModule, PopupModule, ResizeSensorModule, SharedDirectivesModule, EventsModule, IconsModule, ActionSheetModule, ButtonModule, TextBoxModule],
                    exports: [INTERNAL_DIRECTIVES, FormsModule, ReactiveFormsModule, PopupModule, ResizeSensorModule, SharedDirectivesModule, EventsModule, IconsModule, ActionSheetModule, ButtonModule, TextBoxModule],
                    providers: [IconsService, PopupService, ResizeBatchService]
                }]
        }] });
